Subject: Re: telegram-desktop: fails to build

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 10 Feb 2022 08:02:18 +0100

Am Mittwoch, dem 09.02.2022 um 11:18 -0900 schrieb Christopher Howard:
> Hi, when I try to build with `guix build -M 1 -c 1 telegram-desktop`
> I seem to be getting the same error. I can believe what you say about
> the ram, as I've run into that problem before with other packages,
> though it seems frustrating I can't use some kind of command line
> option or something to tell the linker/compiler/assembler to use less
> ram. Seems strange that any package should need more than a GB or two
> of ram to build (*end rant*).
> 
> One thing though: using the above command-line options, I see that
> the last message in the build log is:
> 
> ```
> error: in phase 'build': uncaught exception:
> %exception #<&invoke-error program: "make" arguments: ("-j" "4")
> exit-status: 2 term-signal: #f stop-signal: #f> 
> phase `build' failed after 254.0 seconds
> command "make" "-j" "4" failed with status 2
> ```
> 
> Isn't using -M 1 in the guix build options supposed to translate to
> "make -j 1", or do I misunderstand?
-M 1 tells *guix* how many jobs it should use in parallel.  What you're
aiming fore is probably -c 1.